Purpose of the FAQ

Jeroen Coumans jeroen at linuxfromscratch.org
Tue Jun 1 17:00:47 PDT 2004


Matthew Burgess said the following on 02-06-2004 01:24:
> On Wed, 02 Jun 2004 01:13:30 +0200
> Jeroen Coumans <jeroen at linuxfromscratch.org> wrote:
> 
>>http://wiki.linuxfromscratch.org/index.php?pagename=BuildingHostKernel
> 
> But that doesn't address the autoconf issue either (it doesn't even
> state that debian 3.0/woody/whatever is a bad host).  What I'm getting
> at is that we can't possibly give people a canonical list of minimum
> versions of host packages they'll need.  Aside from the broken autoconf

There's a limited amount of software required for the /tools enviroment, 
and Ryan has already documented the minimal versions (remember, he uses 
RH-6.1 with only binutils upgraded, IIRC). A list of good/bad hosts will 
be out-of-date and can never be complete and is better maintained on the 
Wiki. The list of minimal package numbers is AFAIK nothing more then 
kernel-2.6, gcc-3.x, binutils-2.1 and apparantly autoconf-2.5. But bug 
#844 hasn't been verified and there are very little details.

-- 
Groeten/Greetings,
Jeroen Coumans
{faq,website}@linuxfromscratch.org
www.jeroencoumans.nl



More information about the lfs-dev mailing list